curl "https://api.fileguard.io/api/v1/files/file_z1x2c3v4b5n6/metadata" \
-H "Authorization: Bearer fg_your_api_key"
{
"status": "SUCCESS",
"data": {
"file_id": "file_z1x2c3v4b5n6",
"original_filename": "blood_test.pdf",
"content_type": "application/pdf",
"size_bytes": 245678,
"context_key": "patient_reports",
"checksum": "sha256:e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"metadata": {},
"download_count": 47,
"last_downloaded_at": "2026-01-16T10:30:00Z",
"created_at": "2026-01-04T10:00:00Z",
"updated_at": "2026-01-04T10:00:00Z"
},
"timestamp": "2026-01-04T10:00:00Z"
}
Get metadata for a file without downloading
curl "https://api.fileguard.io/api/v1/files/file_z1x2c3v4b5n6/metadata" \
-H "Authorization: Bearer fg_your_api_key"
{
"status": "SUCCESS",
"data": {
"file_id": "file_z1x2c3v4b5n6",
"original_filename": "blood_test.pdf",
"content_type": "application/pdf",
"size_bytes": 245678,
"context_key": "patient_reports",
"checksum": "sha256:e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"metadata": {},
"download_count": 47,
"last_downloaded_at": "2026-01-16T10:30:00Z",
"created_at": "2026-01-04T10:00:00Z",
"updated_at": "2026-01-04T10:00:00Z"
},
"timestamp": "2026-01-04T10:00:00Z"
}
Retrieve detailed metadata for a specific file.Documentation Index
Fetch the complete documentation index at: https://fileguard.dev/docs/llms.txt
Use this file to discover all available pages before exploring further.
Show properties
curl "https://api.fileguard.io/api/v1/files/file_z1x2c3v4b5n6/metadata" \
-H "Authorization: Bearer fg_your_api_key"
{
"status": "SUCCESS",
"data": {
"file_id": "file_z1x2c3v4b5n6",
"original_filename": "blood_test.pdf",
"content_type": "application/pdf",
"size_bytes": 245678,
"context_key": "patient_reports",
"checksum": "sha256:e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855",
"metadata": {},
"download_count": 47,
"last_downloaded_at": "2026-01-16T10:30:00Z",
"created_at": "2026-01-04T10:00:00Z",
"updated_at": "2026-01-04T10:00:00Z"
},
"timestamp": "2026-01-04T10:00:00Z"
}
metadata scope on your API key.